Update an Entity

Update an entity's name, relationship type, and properties. More details on managing an entity can be found in the Entity Overview article.

OAuth Scope required: public.entities.updateEntities

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID or Ironclad ID of the Entity to update.

Body Params
string
length ≥ 1

The name of the Entity.

relationshipTypeKey
array of strings

The key of the relationship type to be added to the entity. The key must match a valid relationship type in the company settings. The key is displayed on the relationship types page in Data Manager and is always a single word without spaces that starts with a lowercase. For now, only one relationship type can be added or updated per entity. More info on relationship types can be found in the Entity Relationship Types article.

relationshipTypeKey
string
enum

The status of the entity

Allowed:
addProperties
object

A key:value map of properties to add. More details on the properties can be found in the Entity Properties article.

removeProperties
array of strings

List of entity property ids to be removed from the entity record if they exist.

removeProperties
setParent
object

Object containing Record ID or Ironclad ID to be set as the parent of the current entity.

boolean

Boolean flag to indicate if the parent id should be removed for the current entity.

Headers
string

Denotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-id is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.

string

Denotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-email is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json